# generated from catkin/cmake/template/pkgConfig.cmake.in

# append elements to a list and remove existing duplicates from the list
# copied from catkin/cmake/list_append_deduplicate.cmake to keep pkgConfig
# self contained
macro(_list_append_deduplicate listname)
  if(NOT "${ARGN}" STREQUAL "")
    if(${listname})
      list(REMOVE_ITEM ${listname} ${ARGN})
    endif()
    list(APPEND ${listname} ${ARGN})
  endif()
endmacro()

# append elements to a list if they are not already in the list
# copied from catkin/cmake/list_append_unique.cmake to keep pkgConfig
# self contained
macro(_list_append_unique listname)
  foreach(_item ${ARGN})
    list(FIND ${listname} ${_item} _index)
    if(_index EQUAL -1)
      list(APPEND ${listname} ${_item})
    endif()
  endforeach()
endmacro()

# pack a list of libraries with optional build configuration keywords
# copied from catkin/cmake/catkin_libraries.cmake to keep pkgConfig
# self contained
macro(_pack_libraries_with_build_configuration VAR)
  set(${VAR} "")
  set(_argn ${ARGN})
  list(LENGTH _argn _count)
  set(_index 0)
  while(${_index} LESS ${_count})
    list(GET _argn ${_index} lib)
    if("${lib}" MATCHES "^(debug|optimized|general)$")
      math(EXPR _index "${_index} + 1")
      if(${_index} EQUAL ${_count})
        message(FATAL_ERROR "_pack_libraries_with_build_configuration() the list of libraries '${ARGN}' ends with '${lib}' which is a build configuration keyword and must be followed by a library")
      endif()
      list(GET _argn ${_index} library)
      list(APPEND ${VAR} "${lib}${CATKIN_BUILD_CONFIGURATION_KEYWORD_SEPARATOR}${library}")
    else()
      list(APPEND ${VAR} "${lib}")
    endif()
    math(EXPR _index "${_index} + 1")
  endwhile()
endmacro()

# unpack a list of libraries with optional build configuration keyword prefixes
# copied from catkin/cmake/catkin_libraries.cmake to keep pkgConfig
# self contained
macro(_unpack_libraries_with_build_configuration VAR)
  set(${VAR} "")
  foreach(lib ${ARGN})
    string(REGEX REPLACE "^(debug|optimized|general)${CATKIN_BUILD_CONFIGURATION_KEYWORD_SEPARATOR}(.+)$" "\\1;\\2" lib "${lib}")
    list(APPEND ${VAR} "${lib}")
  endforeach()
endmacro()


if(cob_object_detection_visualizer_CONFIG_INCLUDED)
  return()
endif()
set(cob_object_detection_visualizer_CONFIG_INCLUDED TRUE)

# set variables for source/devel/install prefixes
if("FALSE" STREQUAL "TRUE")
  set(cob_object_detection_visualizer_SOURCE_PREFIX /tmp/binarydeb/ros-noetic-cob-object-detection-visualizer-0.6.19)
  set(cob_object_detection_visualizer_DEVEL_PREFIX /tmp/binarydeb/ros-noetic-cob-object-detection-visualizer-0.6.19/.obj-arm-linux-gnueabihf/devel)
  set(cob_object_detection_visualizer_INSTALL_PREFIX "")
  set(cob_object_detection_visualizer_PREFIX ${cob_object_detection_visualizer_DEVEL_PREFIX})
else()
  set(cob_object_detection_visualizer_SOURCE_PREFIX "")
  set(cob_object_detection_visualizer_DEVEL_PREFIX "")
  set(cob_object_detection_visualizer_INSTALL_PREFIX /opt/ros/noetic)
  set(cob_object_detection_visualizer_PREFIX ${cob_object_detection_visualizer_INSTALL_PREFIX})
endif()

# warn when using a deprecated package
if(NOT "" STREQUAL "")
  set(_msg "WARNING: package 'cob_object_detection_visualizer' is deprecated")
  # append custom deprecation text if available
  if(NOT "" STREQUAL "TRUE")
    set(_msg "${_msg} ()")
  endif()
  message("${_msg}")
endif()

# flag project as catkin-based to distinguish if a find_package()-ed project is a catkin project
set(cob_object_detection_visualizer_FOUND_CATKIN_PROJECT TRUE)

if(NOT "/usr/include;/usr/include/opencv4;/usr/include/pcl-1.10;/usr/include/eigen3;/usr/include/vtk-7.1;/usr/include/freetype2;/usr/include/arm-linux-gnueabihf " STREQUAL " ")
  set(cob_object_detection_visualizer_INCLUDE_DIRS "")
  set(_include_dirs "/usr/include;/usr/include/opencv4;/usr/include/pcl-1.10;/usr/include/eigen3;/usr/include/vtk-7.1;/usr/include/freetype2;/usr/include/arm-linux-gnueabihf")
  if(NOT " " STREQUAL " ")
    set(_report "Check the issue tracker '' and consider creating a ticket if the problem has not been reported yet.")
  elseif(NOT " " STREQUAL " ")
    set(_report "Check the website '' for information and consider reporting the problem.")
  else()
    set(_report "Report the problem to the maintainer 'Richard Bormann <richard.bormann@ipa.fraunhofer.de>' and request to fix the problem.")
  endif()
  foreach(idir ${_include_dirs})
    if(IS_ABSOLUTE ${idir} AND IS_DIRECTORY ${idir})
      set(include ${idir})
    elseif("${idir} " STREQUAL "include ")
      get_filename_component(include "${cob_object_detection_visualizer_DIR}/../../../include" ABSOLUTE)
      if(NOT IS_DIRECTORY ${include})
        message(FATAL_ERROR "Project 'cob_object_detection_visualizer' specifies '${idir}' as an include dir, which is not found.  It does not exist in '${include}'.  ${_report}")
      endif()
    else()
      message(FATAL_ERROR "Project 'cob_object_detection_visualizer' specifies '${idir}' as an include dir, which is not found.  It does neither exist as an absolute directory nor in '\${prefix}/${idir}'.  ${_report}")
    endif()
    _list_append_unique(cob_object_detection_visualizer_INCLUDE_DIRS ${include})
  endforeach()
endif()

set(libraries "/usr/lib/arm-linux-gnueabihf/libopencv_calib3d.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_core.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_dnn.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_features2d.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_flann.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_highgui.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_imgcodecs.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_imgproc.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_ml.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_objdetect.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_photo.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_stitching.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_video.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_videoio.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_aruco.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_bgsegm.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_bioinspired.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_ccalib.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_datasets.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_dnn_objdetect.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_dnn_superres.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_dpm.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_face.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_freetype.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_fuzzy.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_hdf.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_hfs.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_img_hash.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_line_descriptor.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_optflow.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_phase_unwrapping.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_plot.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_quality.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_reg.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_rgbd.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_saliency.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_shape.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_stereo.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_structured_light.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_superres.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_surface_matching.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_text.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_tracking.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_videostab.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_viz.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_ximgproc.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_xobjdetect.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libopencv_xphoto.so.4.2.0;/usr/lib/arm-linux-gnueabihf/libpcl_common.so;/usr/lib/arm-linux-gnueabihf/libpcl_kdtree.so;/usr/lib/arm-linux-gnueabihf/libpcl_octree.so;/usr/lib/arm-linux-gnueabihf/libpcl_search.so;/usr/lib/arm-linux-gnueabihf/libpcl_sample_consensus.so;/usr/lib/arm-linux-gnueabihf/libpcl_filters.so;/usr/lib/arm-linux-gnueabihf/libpcl_io.so;/usr/lib/arm-linux-gnueabihf/libpcl_features.so;/usr/lib/arm-linux-gnueabihf/libpcl_ml.so;/usr/lib/arm-linux-gnueabihf/libpcl_segmentation.so;/usr/lib/arm-linux-gnueabihf/libpcl_visualization.so;/usr/lib/arm-linux-gnueabihf/libpcl_surface.so;/usr/lib/arm-linux-gnueabihf/libpcl_registration.so;/usr/lib/arm-linux-gnueabihf/libpcl_keypoints.so;/usr/lib/arm-linux-gnueabihf/libpcl_tracking.so;/usr/lib/arm-linux-gnueabihf/libpcl_recognition.so;/usr/lib/arm-linux-gnueabihf/libpcl_stereo.so;/usr/lib/arm-linux-gnueabihf/libpcl_apps.so;/usr/lib/arm-linux-gnueabihf/libpcl_outofcore.so;/usr/lib/arm-linux-gnueabihf/libpcl_people.so;optimized;/usr/lib/arm-linux-gnueabihf/libboost_system.so.1.71.0;debug;/usr/lib/arm-linux-gnueabihf/libboost_system.so;/usr/lib/arm-linux-gnueabihf/libboost_filesystem.so;/usr/lib/arm-linux-gnueabihf/libboost_date_time.so;/usr/lib/arm-linux-gnueabihf/libboost_iostreams.so;/usr/lib/arm-linux-gnueabihf/libboost_regex.so;optimized;/usr/lib/arm-linux-gnueabihf/libqhull.so;debug;/usr/lib/arm-linux-gnueabihf/libqhull.so;/usr/lib/arm-linux-gnueabihf/libvtkChartsCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonColor-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtksys-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonDataModel-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonMath-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonMisc-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonSystem-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonTransforms-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonExecutionModel-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkFiltersGeneral-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkCommonComputationalGeometry-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkFiltersCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkInfovisCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkFiltersExtraction-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkFiltersStatistics-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkImagingFourier-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkImagingCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkalglib-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkRenderingContext2D-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkRenderingCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkFiltersGeometry-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkFiltersSources-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkRenderingFreeType-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libfreetype.so;/usr/lib/arm-linux-gnueabihf/libz.so;/usr/lib/arm-linux-gnueabihf/libvtkFiltersModeling-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkImagingSources-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkInteractionStyle-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkInteractionWidgets-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkFiltersHybrid-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkImagingColor-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkImagingGeneral-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkImagingHybrid-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkIOImage-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkDICOMParser-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkmetaio-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libjpeg.so;/usr/lib/arm-linux-gnueabihf/libpng.so;/usr/lib/arm-linux-gnueabihf/libtiff.so;/usr/lib/arm-linux-gnueabihf/libvtkRenderingAnnotation-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkRenderingVolume-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkIOXML-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkIOCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkIOXMLParser-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libexpat.so;/usr/lib/arm-linux-gnueabihf/libvtkIOGeometry-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkIOLegacy-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkIOPLY-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkRenderingLOD-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkViewsContext2D-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkViewsCore-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkRenderingContextOpenGL2-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libvtkRenderingOpenGL2-7.1.so.7.1p.1;/usr/lib/arm-linux-gnueabihf/libflann_cpp.so")
foreach(library ${libraries})
  # keep build configuration keywords, target names and absolute libraries as-is
  if("${library}" MATCHES "^(debug|optimized|general)$")
    list(APPEND cob_object_detection_visualizer_LIBRARIES ${library})
  elseif(${library} MATCHES "^-l")
    list(APPEND cob_object_detection_visualizer_LIBRARIES ${library})
  elseif(${library} MATCHES "^-")
    # This is a linker flag/option (like -pthread)
    # There's no standard variable for these, so create an interface library to hold it
    if(NOT cob_object_detection_visualizer_NUM_DUMMY_TARGETS)
      set(cob_object_detection_visualizer_NUM_DUMMY_TARGETS 0)
    endif()
    # Make sure the target name is unique
    set(interface_target_name "catkin::cob_object_detection_visualizer::wrapped-linker-option${cob_object_detection_visualizer_NUM_DUMMY_TARGETS}")
    while(TARGET "${interface_target_name}")
      math(EXPR cob_object_detection_visualizer_NUM_DUMMY_TARGETS "${cob_object_detection_visualizer_NUM_DUMMY_TARGETS}+1")
      set(interface_target_name "catkin::cob_object_detection_visualizer::wrapped-linker-option${cob_object_detection_visualizer_NUM_DUMMY_TARGETS}")
    endwhile()
    add_library("${interface_target_name}" INTERFACE IMPORTED)
    if("${CMAKE_VERSION}" VERSION_LESS "3.13.0")
      set_property(
        TARGET
        "${interface_target_name}"
        APPEND PROPERTY
        INTERFACE_LINK_LIBRARIES "${library}")
    else()
      target_link_options("${interface_target_name}" INTERFACE "${library}")
    endif()
    list(APPEND cob_object_detection_visualizer_LIBRARIES "${interface_target_name}")
  elseif(TARGET ${library})
    list(APPEND cob_object_detection_visualizer_LIBRARIES ${library})
  elseif(IS_ABSOLUTE ${library})
    list(APPEND cob_object_detection_visualizer_LIBRARIES ${library})
  else()
    set(lib_path "")
    set(lib "${library}-NOTFOUND")
    # since the path where the library is found is returned we have to iterate over the paths manually
    foreach(path /opt/ros/noetic/lib;/opt/ros/noetic/lib)
      find_library(lib ${library}
        PATHS ${path}
        NO_DEFAULT_PATH NO_CMAKE_FIND_ROOT_PATH)
      if(lib)
        set(lib_path ${path})
        break()
      endif()
    endforeach()
    if(lib)
      _list_append_unique(cob_object_detection_visualizer_LIBRARY_DIRS ${lib_path})
      list(APPEND cob_object_detection_visualizer_LIBRARIES ${lib})
    else()
      # as a fall back for non-catkin libraries try to search globally
      find_library(lib ${library})
      if(NOT lib)
        message(FATAL_ERROR "Project '${PROJECT_NAME}' tried to find library '${library}'.  The library is neither a target nor built/installed properly.  Did you compile project 'cob_object_detection_visualizer'?  Did you find_package() it before the subdirectory containing its code is included?")
      endif()
      list(APPEND cob_object_detection_visualizer_LIBRARIES ${lib})
    endif()
  endif()
endforeach()

set(cob_object_detection_visualizer_EXPORTED_TARGETS "")
# create dummy targets for exported code generation targets to make life of users easier
foreach(t ${cob_object_detection_visualizer_EXPORTED_TARGETS})
  if(NOT TARGET ${t})
    add_custom_target(${t})
  endif()
endforeach()

set(depends "cob_object_detection_msgs;cv_bridge;eigen_conversions;image_transport;message_filters;pcl_ros;roscpp;sensor_msgs;visualization_msgs")
foreach(depend ${depends})
  string(REPLACE " " ";" depend_list ${depend})
  # the package name of the dependency must be kept in a unique variable so that it is not overwritten in recursive calls
  list(GET depend_list 0 cob_object_detection_visualizer_dep)
  list(LENGTH depend_list count)
  if(${count} EQUAL 1)
    # simple dependencies must only be find_package()-ed once
    if(NOT ${cob_object_detection_visualizer_dep}_FOUND)
      find_package(${cob_object_detection_visualizer_dep} REQUIRED NO_MODULE)
    endif()
  else()
    # dependencies with components must be find_package()-ed again
    list(REMOVE_AT depend_list 0)
    find_package(${cob_object_detection_visualizer_dep} REQUIRED NO_MODULE ${depend_list})
  endif()
  _list_append_unique(cob_object_detection_visualizer_INCLUDE_DIRS ${${cob_object_detection_visualizer_dep}_INCLUDE_DIRS})

  # merge build configuration keywords with library names to correctly deduplicate
  _pack_libraries_with_build_configuration(cob_object_detection_visualizer_LIBRARIES ${cob_object_detection_visualizer_LIBRARIES})
  _pack_libraries_with_build_configuration(_libraries ${${cob_object_detection_visualizer_dep}_LIBRARIES})
  _list_append_deduplicate(cob_object_detection_visualizer_LIBRARIES ${_libraries})
  # undo build configuration keyword merging after deduplication
  _unpack_libraries_with_build_configuration(cob_object_detection_visualizer_LIBRARIES ${cob_object_detection_visualizer_LIBRARIES})

  _list_append_unique(cob_object_detection_visualizer_LIBRARY_DIRS ${${cob_object_detection_visualizer_dep}_LIBRARY_DIRS})
  _list_append_deduplicate(cob_object_detection_visualizer_EXPORTED_TARGETS ${${cob_object_detection_visualizer_dep}_EXPORTED_TARGETS})
endforeach()

set(pkg_cfg_extras "")
foreach(extra ${pkg_cfg_extras})
  if(NOT IS_ABSOLUTE ${extra})
    set(extra ${cob_object_detection_visualizer_DIR}/${extra})
  endif()
  include(${extra})
endforeach()
